v1.0.0
OpenAPI 3.1.0
Get an email
Client Libraries
US region
Returns a single email including content, envelope details, and transformers. This endpoint returns only default emails; see Email translations to access language variants.
The UUID of the email.
curl https://api.customer.io/v1/design_studio/emails/123e4567-e89b-12d3-a456-426614174000
{
"email": {
"id": "sdflkj345",
"name": "string",
"is_template": true,
"is_linked": true,
"parent_folder_id": null,
"available_languages": [
"en",
"es"
],
"created": 1773856017,
"updated": 1773856017,
"content": {
"subject": "string",
"preheader_text": "string",
"html": "string",
"amp": "string",
"text": "string"
},
"envelope": {
"from_id": null,
"from": "string",
"reply_to_id": null,
"reply_to": "string",
"bcc": "string",
"fake_bcc": true,
"headers": [
{
"name": "string",
"value": "string"
}
],
"recipient": "string"
},
"transformers": {
"url_parameters": {
"enabled": false,
"parameters": []
},
"css_variables": {
"enabled": false,
"preserve": false
},
"css_inliner": {
"enabled": false,
"apply_style_tags": true,
"preserve_important": false,
"remove_style_tags": true,
"preserve_font_faces": true,
"preserve_media_queries": true,
"preserve_keyframes": true,
"preserve_pseudos": true,
"inline_pseudo_elements": false,
"apply_html_attributes": {
"enabled": true,
"apply_width_attributes": true,
"apply_height_attributes": true,
"apply_table_element_attributes": true
}
},
"accessibility": {
"enabled": false,
"language": "",
"add_lang_to_html": true,
"add_dir_to_html": true,
"add_lang_to_content": true,
"add_dir_to_content": true,
"add_role_to_tables": true,
"add_vml_alt_text": true,
"add_empty_alt_to_images": true,
"add_title_to_head": true,
"remove_button_role_from_links": true,
"remove_zoom_meta_tag": true
},
"formatter": {
"type": "none",
"prettify": {
"indent_character": "spaces",
"indent_size": 2,
"wrap_attributes": false
},
"minify": {
"remove_line_breaks": false,
"line_length_limit": 500,
"remove_indentations": true,
"remove_html_comments": "0",
"remove_css_comments": true
}
},
"prevent_widows": {
"enabled": false
},
"encode_entities": {
"enabled": false
},
"remove_unused_css": {
"enabled": false,
"whitelist": [
"string"
],
"backend_markers": [
{
"heads": "",
"tails": ""
},
{
"heads": "{%",
"tails": "%}"
}
],
"uglify": false
}
}
}
}Successful response